<sqtm-core-customisable-dialog
  [titleKey]="
    'sqtm-core.administration-workspace.teams.dialog.title.add-members'
  "
  [dialogId]="'add-team-member-dialog'"
  (confirm)="confirm()"
>
  <sqtm-core-dialog-body>
    <div class="body-content m-t-5">
      <div>
        <div class="sqtm-core-dialog-form p-4">
          <label class="label label__align_right">
            {{ 'sqtm-core.entity.user.label.plural' | translate }}
          </label>
          <div>
            <sqtm-core-grouped-multi-list-field
              [listItems]="listItems"
              [separateSelectedItems]="true"
              [placeHolder]="
                'sqtm-core.entity.user.placeholder.select-user.plural'
                  | translate
              "
              [virtualScroll]="true"
              (valueChanged)="selectedMembersChanged($event)"
            >
            </sqtm-core-grouped-multi-list-field>
          </div>

          <div class="has-error grid-column-start-2">
            @for (error of errorsOnMultiListField; track error) {
              <div class="sqtm-core-error-message">
                {{ error | translate }}
              </div>
            }
          </div>
        </div>
      </div>
    </div>
  </sqtm-core-dialog-body>
</sqtm-core-customisable-dialog>
